Skip to main content
GET
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
Read a campaign
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid} \
  --header 'Authorization: Bearer <token>'
{
  "assets": {},
  "businessUnits": [
    {
      "id": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Free
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignGuid
string
required

Unique identifier for the campaign, formatted as a UUID.

Query Parameters

endDate
string

End date to fetch asset metrics, formatted as YYYY-MM-DD. This date is used to fetch the metrics associated with the assets for a specified period. If not provided, no asset metrics will be fetched.

properties
string[]

A comma-separated list of the properties to be returned in the response. If any of the specified properties has empty value on the requested object, they will be ignored and not returned in response. If this parameter is empty, the response will include an empty properties map.

startDate
string

Start date to fetch asset metrics, formatted as YYYY-MM-DD. This date is used to fetch the metrics associated with the assets for a specified period. If not provided, no asset metrics will be fetched.

Response

successful operation

assets
object
required

Contains the assets associated with the campaign, each represented as a collection of campaign assets.

businessUnits
object[]
required
createdAt
string<date-time>
required

The date and time when the campaign was created, formatted as a date-time string.

id
string
required

The unique identifier for the campaign.

properties
object
required

A map of key-value pairs representing the properties of the campaign.

updatedAt
string<date-time>
required

The date and time when the campaign was last updated, formatted as a date-time string.

Last modified on January 28, 2026